#!/bin/sh

#set -x
set -e

LOAD_SCRIPTS_DIRECTORY=$(pwd)
UPLOAD_SCRIPTS_DIRECTORY=$(dirname "$0")

if [ ! -d "samples/common" ] ; then
    echo "Can only run from the transmart-data top directory"
    exit 1
fi

if [ ! -z "$ORACLE" ] ; then
    if [ ! -d "samples/oracle" ] ; then
	echo "Can only run from the transmart-data top directory"
	exit 1
    fi
    if [ -z "$KETTLE_JOBS_ORA" ] || [ -z "$KITCHEN" ]; then
	echo "KETTLE_JOBS_ORA and KITCHEN must be defined for Oracle"
	exit 1
    fi
    export MAKECMD="make -C samples/oracle"
else
    if [ ! -d "samples/postgres" ] ; then
	echo "Can only run from the transmart-data top directory"
	exit 1
    fi
    if [ -z "$KETTLE_JOBS_PSQL" ] || [ -z "$KITCHEN" ]; then
	echo "KETTLE_JOBS_PSQL and KITCHEN must be defined for Postgres"
	exit 1
    fi
    if [ ! -e "$PGSQL_BIN/psql" ] ; then
	echo "psql not found in PGSQL_BIN '$PGSQL_BIN'"
	exit 1
    fi
    export MAKECMD="make -C samples/postgres"
fi

if [ ! -e "samples/studies/datasets" ] ||
   [ "samples/studies/datasets" -ot "samples/studies/public-feeds" ] ; then
    echo "Updating list of public datasets for download"
    make update_datasets
    echo "DONE Updating list of public datasets for download"
fi


$MAKECMD load_clinical_RanchoGSE24060

$MAKECMD load_ref_annotation_RanchoGSE24060

$MAKECMD load_expression_RanchoGSE24060

echo 'ALL DONE'
